org.deidentifier.arx.metric.v2

## Class MetricSDNMDiscernability

- java.lang.Object
- - org.deidentifier.arx.metric.Metric<ILSingleDimensional>
  - - org.deidentifier.arx.metric.v2.AbstractMetricSingleDimensional
    - - org.deidentifier.arx.metric.v2.MetricSDNMDiscernability

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  MetricSDDiscernability

    public class MetricSDNMDiscernability
    extends AbstractMetricSingleDimensional

This class provides an implementation of the non-monotonic DM metric. TODO: Add reference

Author:
  Fabian Prasser, Florian Kohlmayer, Raffael Bild
See Also:
  Serialized Form

### Nested Class Summary

### Nested classes/interfaces inherited from class org.deidentifier.arx.metric.Metric

`Metric.AggregateFunction`

### Method Summary

All Methods Instance Methods Concrete Methods
`ILSingleDimensional` `createMaxInformationLoss()` Returns an instance of the maximal value.
`ILSingleDimensional` `createMinInformationLoss()` Returns an instance of the minimal value.
`MetricConfiguration` `getConfiguration()` Returns the configuration of this metric.
`ILScore` `getScore(Transformation<?> node, HashGroupify groupify)` Calculates the score.
`boolean` `isScoreFunctionSupported()` Returns whether the metric provides a score function
`ElementData` `render(ARXConfiguration config)` Renders the privacy model
`java.lang.String` `toString()` Returns the name of metric.

### Methods inherited from class org.deidentifier.arx.metric.v2.AbstractMetricSingleDimensional

`createInformationLoss, createInformationLoss`

### Methods inherited from class org.deidentifier.arx.metric.Metric

`createAECSMetric, createAECSMetric, createAmbiguityMetric, createClassificationMetric, createClassificationMetric, createDiscernabilityMetric, createDiscernabilityMetric, createEntropyBasedInformationLossMetric, createEntropyBasedInformationLossMetric, createEntropyMetric, createEntropyMetric, createEntropyMetric, createEntropyMetric, createEntropyMetric, createEntropyMetric, createHeightMetric, createHeightMetric, createInstanceOfHighestScore, createInstanceOfLowestScore, createKLDivergenceMetric, createLossMetric, createLossMetric, createLossMetric, createLossMetric, createMetric, createNormalizedEntropyMetric, createNormalizedEntropyMetric, createPrecisionMetric, createPrecisionMetric, createPrecisionMetric, createPrecisionMetric, createPrecisionMetric, createPrecisionMetric, createPrecisionMetric, createPrecisionMetric, createPrecomputedEntropyMetric, createPrecomputedEntropyMetric, createPrecomputedEntropyMetric, createPrecomputedEntropyMetric, createPrecomputedEntropyMetric, createPrecomputedEntropyMetric, createPrecomputedLossMetric, createPrecomputedLossMetric, createPrecomputedLossMetric, createPrecomputedLossMetric, createPrecomputedNormalizedEntropyMetric, createPrecomputedNormalizedEntropyMetric, createPublisherPayoutMetric, createPublisherPayoutMetric, createStaticMetric, createStaticMetric, getAggregateFunction, getDescription, getGeneralizationFactor, getGeneralizationSuppressionFactor, getInformationLoss, getInformationLoss, getLowerBound, getLowerBound, getName, getSuppressionFactor, initialize, isAbleToHandleClusteredMicroaggregation, isAbleToHandleMicroaggregation, isGSFactorSupported, isIndependent, isMonotonic, isMonotonicWithGeneralization, isMonotonicWithSuppression, isMultiDimensional, isPrecomputed, isWeighted, list`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Method Detail

#### createMaxInformationLoss

    public ILSingleDimensional createMaxInformationLoss()

Description copied from class: `Metric`
Returns an instance of the maximal value.

Overrides:
  `createMaxInformationLoss` in class `AbstractMetricSingleDimensional`
Returns:

#### createMinInformationLoss

    public ILSingleDimensional createMinInformationLoss()

Description copied from class: `Metric`
Returns an instance of the minimal value.

Overrides:
  `createMinInformationLoss` in class `AbstractMetricSingleDimensional`
Returns:

#### getConfiguration

    public MetricConfiguration getConfiguration()

Returns the configuration of this metric.

Overrides:
  `getConfiguration` in class `Metric<ILSingleDimensional>`
Returns:

#### getScore

    public ILScore getScore(Transformation<?> node,
                            HashGroupify groupify)

Description copied from class: `Metric`
Calculates the score. Note: All score functions are expected to return a score value divided by the sensitivity of the score function.

Overrides:
  `getScore` in class `Metric<ILSingleDimensional>`
Returns:

#### isScoreFunctionSupported

    public boolean isScoreFunctionSupported()

Description copied from class: `Metric`
Returns whether the metric provides a score function

Overrides:
  `isScoreFunctionSupported` in class `Metric<ILSingleDimensional>`
Returns:

#### render

    public ElementData render(ARXConfiguration config)

Description copied from class: `Metric`
Renders the privacy model

Specified by:
  `render` in class `Metric<ILSingleDimensional>`
Returns:

#### toString

    public java.lang.String toString()

Description copied from class: `Metric`
Returns the name of metric.

Overrides:
  `toString` in class `Metric<ILSingleDimensional>`